Next: strsignal, Previous: strpbrk, Up: Strings

### 5.34 `strrchr`—reverse search for character in string

Synopsis

         #include <string.h>
         char * strrchr(const char *string, int c);

Description
This function finds the last occurence of c (converted to a char) in the string pointed to by string (including the terminating null character).

Returns
Returns a pointer to the located character, or a null pointer if c does not occur in string.

Portability
`strrchr` is ANSI C.

`strrchr` requires no supporting OS subroutines.